function a = curvearea(x, y)
%CURVEAREA Get area under a curve (Euler's algorithm)
%   A = CURVEAREA(X, Y)
%
%   AUTHOR:
%      Wouter Caarls, MPIbpc <wouter@caarls.org>

  a = sum(((y(1:(end-1)) + y(2:end)) ./ 2) .* (x(2:end) - x(1:(end-1))));
